Skip to content

Plays

Play folder management.

Get a play and its child plays, segments and prospects

Request

Returns the play with the supplied ID along with IDs of its child folders and associated analyses. Child objects are returned one level down only. No grandchildren are returned, even when they exist.

Security
bearer and appkey
Path
idinteger, (int32)required

Play ID

Headers
slb-contract-idstring^[a-zA-Z0-9_-]+$required

Delfi Contract ID

Example:My-contract-ID
curl -i -X GET \
  'https://eu-api.delfi.slb.com/spar/assessments/v1/plays/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-contract-id: My-contract-ID'

Responses

OK

Body
idinteger, (int32)required

The unique identifier.

namestring, [ 1 .. 256 ] characters

The name of the folder (basin, play, segment or prospect).

hasPolygonboolean

Indicates whether the folder has a related polygon.

childrenArray of objects(FolderDto)

Child folders.

analysisArray of objects(FolderAnalysisDto)

Analyses associated with this folder.

parentFolderIdinteger, (int32)

ID of the parent folder. 0 if the parent folder is a root-level basin.

typestringread-only

The type of geological structure object, in this case a play.

Response
{
  "id": 0,
  "name": "string",
  "hasPolygon": true,
  "children": [
    {
      "id": 0,
      "name": "string",
      "type": "string",
      "hasPolygon": true,
      "children": [
        {}
      ],
      "analysis": [
        {
          "id": 0,
          "name": "string",
          "type": "string",
          "modifiedDate": "2019-08-24T14:15:22Z",
          "modifiedUserName": "string",
          "modifiedRealName": "string",
          "version": "s",
          "isExternal": true
        }
      ],
      "parentFolderId": 0
    }
  ],
  "analysis": [
    {
      "id": 0,
      "name": "string",
      "type": "string",
      "modifiedDate": "2019-08-24T14:15:22Z",
      "modifiedUserName": "string",
      "modifiedRealName": "string",
      "version": "s",
      "isExternal": true
    }
  ],
  "parentFolderId": 0,
  "type": "string"
}